Alert (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.admin, interface: Alert

Package org.apache.geode.admin

# Interface Alert

@Deprecated public interface Alert
Deprecated.
as of 7.0 use the `management` package instead
An administration alert that is issued by a member of a GemFire distributed system. It is similar to a log message.

Since:
  GemFire 3.5
See Also:
  - `AlertListener`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getConnectionName()`
  Deprecated.
  The name of the distributed system) through which the alert was issued.
  `Date`
  `getDate()`
  Deprecated.
  The time at which the alert was issued
  `AlertLevel`
  `getLevel()`
  Deprecated.
  The level at which this alert is issued
  `String`
  `getMessage()`
  Deprecated.
  The alert's message
  `String`
  `getSourceId()`
  Deprecated.
  The id of the source of the alert (such as a thread in a VM)
  `SystemMember`
  `getSystemMember()`
  Deprecated.
  The member of the distributed system that issued the alert, or null if the issuer is no longer a member of the distributed system.

- ## Method Details

  - ### getLevel

    AlertLevel getLevel()
    Deprecated.
    The level at which this alert is issued
    Returns:
      the level at which this alert is issued

  - ### getSystemMember

    SystemMember getSystemMember()
    Deprecated.
    The member of the distributed system that issued the alert, or null if the issuer is no longer a member of the distributed system.
    Returns:
      the member of the distributed system that issued the alert

  - ### getConnectionName

    String getConnectionName()
    Deprecated.
    The name of the distributed system) through which the alert was issued.
    Returns:
      the name of the distributed system) through which the alert was issued

  - ### getSourceId

    String getSourceId()
    Deprecated.
    The id of the source of the alert (such as a thread in a VM)
    Returns:
      the id of the source of the alert (such as a thread in a VM)

  - ### getMessage

    String getMessage()
    Deprecated.
    The alert's message
    Returns:
      the alert's message

  - ### getDate

    Date getDate()
    Deprecated.
    The time at which the alert was issued
    Returns:
      the time at which the alert was issued